<?php
function ShowMessage($type,$message,$address){

	if($type==1){
		echo "<script language=javascript>alert('$message');</script>";
	}elseif($type==2){
		echo "<script language=javascript>history.go(-1);</script>";
	}elseif($type==3){
		echo "<script language=javascript>alert('$message');history.go(-1);</script>";
	}elseif($type==4){
		echo "<script language=javascript>alert('$message');window.location='$address';</script>";
	}elseif($type==5){
		echo "<script language=javascript>window.location='$address';</script>";
	}elseif($type==6){
		echo "<script language=javascript>window.close();</script>";
	}
}

function imgspec( $v, $imgw, $imgh){
	if ( $imgw > $imgh) {
	    if ( $imgh > $v) {
			$scale = $v/$imgw;
			$h     = $imgh*$scale;
			$w     = $v;
			$arr   = array($w,$h);
			return $arr;
		}
	    if ( $imgh == $v) {
			$scale = $v/$imgw;
			$h     = $imgh*$scale;
			$w     = $v;
			$arr   = array($w,$h);
			return $arr;
	    }
		if ( ($imgh < $v) and ($imgw > $v)) {
			$scale = $v/$imgw;
			$h     = $imgh*$scale;
			$w     = $v;
			$arr   = array($w,$h);
			return $arr;
		}
	    if ( $imgw < $v) {
			$w     = $imgw;
			$h     = $imgh;
			$arr   = array($w,$h);
			return $arr;
		}
		if ( $imgw == $v) {
			$w     = $imgw;
			$h     = $imgh;
			$arr   = array($w,$h);
			return $arr;
		}
	}
	if ( $imgw < $imgh) {
		if ( $imgw > $v) {
			$scale = $v/$imgh;
			$w     = $imgw*$scale;
			$h     = $v;
			$arr   = array($w,$h);
			return $arr;
		}
		if ( $imgw == $v) {
			$scale = $v/$imgh;
			$w     = $imgw*$scale;
			$h     = $v;
			$arr   = array($w,$h);
			return $arr;
		}
		if ( ($imgw < $v) and ($imgh > $v)) {
			$scale = $v/$imgh;
			$w     = $imgw*$scale;
			$h     = $v;
			$arr   = array($w,$h);
			return $arr;
	    }
	    if ( $imgh < $v) {
			$w     = $imgw;
			$h     = $imgh;
			$arr   = array($w,$h);
			return $arr;
	    }
		if ( $imgh == $v) {
			$w     = $imgw;
			$h     = $imgh;
			$arr   = array($w,$h);
			return $arr;
		}
	}
	if ( $imgw == $imgh) {
	    if ( $imgw > $v) {
			$w     = $v;
			$h     = $v;
			$arr   = array($w,$h);
			return $arr;
	    } elseif ( $imgw < $v or $imgw == $v) {
			$w     = $imgw;
			$h     = $imgh;
			$arr   = array($w,$h);
			return $arr;
		}
	}
}

function substrs($content,$length){
	global $db_charset;
	if($length && strlen($content)>$length){
		if($db_charset!='utf-8'){
			$retstr='';
			for($i = 0; $i < $length - 2; $i++) {
				$retstr .= ord($content[$i]) > 127 ? $content[$i].$content[++$i] : $content[$i];
			}
			return $retstr.'...';
		}else{
			return utf8_trim(substr($content,0,$length)).'...';
		}
	}
	return $content;
}

function pagination($displaypg,$totle,$url){
                   //定义几个全局变量： 
                   //$page：当前页码；
                   //$firstcount：（数据库）查询的起始项；
                   //$pagenav：页面导航条代码，函数内部并没有将它输出；
                   //$_SERVER：读取本页URL“$_SERVER["REQUEST_URI"]”所必须。
                   global $page,$firstcount,$pagenav,$_SERVER;
                   //为使函数外部可以访问这里的“$displaypg”，将它也设为全局变量。注意一个变量重新定义为全局变量后，原值被覆盖，所以这里给它重新赋值。
                   $GLOBALS["displaypg"]=$displaypg;
                   if(!$page) $page=1;
                   //如果$url使用默认，即空值，则赋值为本页URL：
				   if(!$url){ $url=$_SERVER["REQUEST_URI"]; }
				   //URL分析：
                   $url=$_SERVER["REQUEST_URI"];
				   $parse_url=parse_url($url);
                   $url_query=$parse_url["query"]; //单独取出URL的查询字串
				   if($url_query){
                                 //因为URL中可能包含了页码信息，我们要把它去掉，以便加入新的页码信息。
                                 //这里用到了正则表达式，请参考“PHP中的正规表达式”（http://www.pconline.com.cn/pcedu/empolder/wz/php/10111/15058.html）
                                 $url_query=ereg_replace("(^|&)page=$page","",$url_query);
								
                                 //将处理后的URL的查询字串替换原来的URL的查询字串：
                                 $url=str_replace($parse_url["query"],$url_query,$url);
								
                                 //在URL后加page查询信息，但待赋值： 
                                 if($url_query) $url.="&page"; else $url.="page";
                   }else {
                          $url.="?page";
                   }
				   //页码计算：
                   $lastpg=ceil($totle/$displaypg); //最后页，也是总页数
                   $page=min($lastpg,$page);
                   $prepg=$page-1; //上一页
                   $nextpg=($page==$lastpg ? 0 : $page+1); //下一页
                   $firstcount=($page-1)*$displaypg;
                   //开始分页导航条代码：
                   $pagenav="显示第 <B>".($totle?($firstcount+1):0)."</B>-<B>".min($firstcount+$displaypg,$totle)."</B> 条记录，共 $totle 条记录<BR>";
                   //如果只有一页则跳出函数：
                   if($lastpg<=1) return false;
                   $pagenav.=" <a href='$url=1'>首页</a> ";
                   if($prepg) $pagenav.=" <a href='$url=$prepg'>前页</a> "; else $pagenav.=" 前页 ";
                   if($nextpg) $pagenav.=" <a href='$url=$nextpg'>后页</a> "; else $pagenav.=" 后页 ";
                   $pagenav.=" <a href='$url=$lastpg'>尾页</a> ";
                   //下拉跳转列表，循环列出所有页码：
                   $pagenav.="　到第 <select name='topage' size='1' onchange='window.location=\"$url=\"+this.value'>\n";
                   for($i=1;$i<=$lastpg;$i++){
                            if($i==$page) $pagenav.="<option value='$i' selected>$i</option>\n";
                            else $pagenav.="<option value='$i'>$i</option>\n";
                   }
                   $pagenav.="</select> 页，共 $lastpg 页";
}

function EN_pagination($displaypg,$totle,$url){
                   //定义几个全局变量： 
                   //$page：当前页码；
                   //$firstcount：（数据库）查询的起始项；
                   //$pagenav：页面导航条代码，函数内部并没有将它输出；
                   //$_SERVER：读取本页URL“$_SERVER["REQUEST_URI"]”所必须。
                   global $page,$firstcount,$pagenav,$_SERVER;
                   //为使函数外部可以访问这里的“$displaypg”，将它也设为全局变量。注意一个变量重新定义为全局变量后，原值被覆盖，所以这里给它重新赋值。
                   $GLOBALS["displaypg"]=$displaypg;
                   if(!$page) $page=1;
                   //如果$url使用默认，即空值，则赋值为本页URL：
				   if(!$url){ $url=$_SERVER["REQUEST_URI"]; }
				   //URL分析：
                   $parse_url=parse_url($url);
                   $url_query=$parse_url["query"]; //单独取出URL的查询字串
				   if($url_query){
                                 //因为URL中可能包含了页码信息，我们要把它去掉，以便加入新的页码信息。
                                 //这里用到了正则表达式，请参考“PHP中的正规表达式”（http://www.pconline.com.cn/pcedu/empolder/wz/php/10111/15058.html）
                                 $url_query=ereg_replace("(^|&)page=$page","",$url_query);
								
                                 //将处理后的URL的查询字串替换原来的URL的查询字串：
                                 $url=str_replace($parse_url["query"],$url_query,$url);
								
                                 //在URL后加page查询信息，但待赋值： 
                                 if($url_query) $url.="&page"; else $url.="page";
                   }else {
                          $url.="?page";
                   }
				   //页码计算：
                   $lastpg=ceil($totle/$displaypg); //最后页，也是总页数
                   $page=min($lastpg,$page);
                   $prepg=$page-1; //上一页
                   $nextpg=($page==$lastpg ? 0 : $page+1); //下一页
                   $firstcount=($page-1)*$displaypg;
                   //开始分页导航条代码：
                   $pagenav="Revealed that the first <B>".($totle?($firstcount+1):0)."</B>-<B>".min($firstcount+$displaypg,$totle)."</B> of the records, a total of $totle Records<BR>";
                   //如果只有一页则跳出函数：
                   if($lastpg<=1) return false;
                   $pagenav.=" <a href='$url=1'>Back</a> ";
                   if($prepg) $pagenav.=" <a href='$url=$prepg'>Prev</a> "; else $pagenav.=" Prev ";
                   if($nextpg) $pagenav.=" <a href='$url=$nextpg'>Next</a> "; else $pagenav.=" Next ";
                   $pagenav.=" <a href='$url=$lastpg'>Last</a> ";
                   //下拉跳转列表，循环列出所有页码：
                   $pagenav.="　To the <select name='topage' size='1' onchange='window.location=\"$url=\"+this.value'>\n";
                   for($i=1;$i<=$lastpg;$i++){
                            if($i==$page) $pagenav.="<option value='$i' selected>$i</option>\n";
                            else $pagenav.="<option value='$i'>$i</option>\n";
                   }
                   $pagenav.="</select> page, $lastpg pp";
}

?>